RAISE(3P)

NAME
raise - send a signal to the executing process

SYNOPSIS

#include <signal.h>

int raise(int sig);

DESCRIPTION

The raise() function shall send the signal sig to the executing thread or process. If a signal handler is called, the raise() function shall not return until after the signal handler does.

If the implementation supports the Threads option, the effect of the raise() function shall be equivalent to calling:

    pthread_kill(pthread_self(), sig);

Otherwise, the effect of the raise() function shall be equivalent to calling:

    kill(getpid(), sig);

RETURN VALUE

Upon successful completion, 0 shall be returned. Otherwise, a non-zero value shall be returned and errno shall be set to indicate the error.

ERRORS

The raise() function shall fail if:

EINVAL
    The value of the sig argument is an invalid signal number.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

The term "thread" is an extension to the ISO C standard.

FUTURE DIRECTIONS

None.

SEE ALSO

kill() , sigaction() , the Base Definitions volume of IEEE Std 1003.1-2001, <signal.h>, <sys/types.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .